/**
 *
 */
var persistenceBanco;
var callbackGlobal;
var erro;
function SincTitulos(ip, banco, empresa, vendedor, callback) {

	callbackGlobal = callback;

	var select = "EMPRESAID,VENDEDORID,NOME,CPF_CNPJ,CODIGO,DOCUMENTO,EMISSAO,VENCIMENTO,VALOR,HISTORICO,TIPO,VENCIMENTO_ORDER".split(",");
	var from = "dbo.VW_MOBILE_TITULOS";
	var where = "EMPRESAID = " + empresa + ' AND VENDEDORID = ' + vendedor;

	try {

		var servico = new ServicoConsulta(ip, banco, montarSqlSelect(select, from, where), true, function(retorno) {

			var tituloAdicionar = [];

			for (var i = 0; i < retorno.length; i++) {

				var colunas = retorno[i].split("#c#");

				var novasColunas = new HashTable();

				for (var j = 0; j < colunas.length; j++) {
					if (colunas[j] == null) {
						colunas[j] = "";
					}
					novasColunas.setItem(select[j], colunas[j]);
				}

				var titulo = new Titulo();
				titulo.empresaId = novasColunas.getItem("EMPRESAID");
				titulo.vendedorId = novasColunas.getItem("VENDEDORID");
				titulo.nome = novasColunas.getItem("NOME");
				titulo.cpfCnpj = novasColunas.getItem("CPF_CNPJ");
				titulo.codigo = novasColunas.getItem("CODIGO");
				titulo.documento = novasColunas.getItem("DOCUMENTO");
				titulo.emissao = novasColunas.getItem("EMISSAO");
				titulo.vencimento = novasColunas.getItem("VENCIMENTO");
				titulo.valor = novasColunas.getItem("VALOR");
				titulo.historico = novasColunas.getItem("HISTORICO");
				titulo.tipo = novasColunas.getItem("TIPO");
				titulo.vencimentoOrder = novasColunas.getItem("VENCIMENTO_ORDER");

				tituloAdicionar[i] = titulo;
			}
			apagarTodosTitulos(tituloAdicionar);
		});

	} catch(e) {
		e.message = e.message + "\nBanco: " + from;
		throw e;
	}

}

function apagarTodosTitulos(tituloAdicionar) {
	abrirBanco(function(a) {
		persistenceBanco = a;

		persistenceBanco.titulos.clear().done(function(results) {
			adicionarBanco(persistenceBanco, 'titulos', tituloAdicionar, function(a) {
				callbackGlobal();
			});
		});
	});
}
